Skip to main content
GET
/
user
/
assistants
/
voices
Get available voices
curl --request GET \
  --url https://app.famulor.de/api/user/assistants/voices \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "name": "Alloy",
    "language_id": 1,
    "gender": "female",
    "preview_url": "https://cdn.famulor.de/voices/alloy.flac",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": null
  },
  {
    "id": 10,
    "name": "Zephyr",
    "language_id": 1,
    "gender": "female",
    "preview_url": "https://cdn.famulor.de/voices/zephyr.wav",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": 1
  },
  {
    "id": 11,
    "name": "Puck",
    "language_id": 1,
    "gender": "male",
    "preview_url": "https://cdn.famulor.de/voices/puck.wav",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": 1
  }
]
Retrieve the complete list of available voices you can use when creating or updating Famulor assistants. Optionally filter by assistant mode and language.

Query Parameters

mode
string
Filter voices by assistant mode. Options: pipeline, multimodal, dualplex
language_id
integer
Filter voices by language ID. Use the Get Languages endpoint to get available language IDs.

Response fields

data
array
[
  {
    "id": 1,
    "name": "Alloy",
    "language_id": 1,
    "gender": "female",
    "preview_url": "https://cdn.famulor.de/voices/alloy.flac",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": null
  },
  {
    "id": 10,
    "name": "Zephyr",
    "language_id": 1,
    "gender": "female",
    "preview_url": "https://cdn.famulor.de/voices/zephyr.wav",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": 1
  },
  {
    "id": 11,
    "name": "Puck",
    "language_id": 1,
    "gender": "male",
    "preview_url": "https://cdn.famulor.de/voices/puck.wav",
    "accent": null,
    "age": "Middle aged",
    "synthesizer_provider_id": 1
  }
]

Notes

  • Use the id field as voice_id when creating or updating assistants
  • Filter by mode to get only voices compatible with your intended assistant type
  • Filter by language_id to get voices for a specific language
  • If no filters are provided, all available voices are returned
  • Only voices that are public or belong to the authenticated user are returned